package cn.reghao.tnb.content.app.vod.model.po;

import cn.reghao.jutil.jdk.db.BaseObject;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.LocalDateTime;

/**
 * @author reghao
 * @date 2024-12-07 15:16:57
 */
@NoArgsConstructor
@Setter
@Getter
public class VideoCategoryPost extends BaseObject<Integer> {
    private String videoId;
    private Integer categoryPid;
    private Integer categoryId;
    private int duration;
    private Boolean horizontal;
    private int scope;
    private LocalDateTime publishAt;
    private Long publishBy;

    public VideoCategoryPost(VideoPost videoPost) {
        this.videoId = videoPost.getVideoId();
        this.categoryPid = videoPost.getCategoryPid();
        this.categoryId = videoPost.getCategoryId();
        this.duration = videoPost.getDuration();
        this.horizontal = videoPost.getHorizontal();
        this.scope = videoPost.getScope();
        this.publishAt = videoPost.getPublishAt();
        this.publishBy = videoPost.getPublishBy();
    }
}
